1 General Information

(E)GPRS Application Testing (option R&S CMU-K92) is a PC-based application that connects to a R&S CMU200 via a TCP/IP network. The application is used together with the GSM-MS options of the R&S CMU200 Universal Radio Communication Tester.

The (E)GPRS Application Testing software simulates a radio network to test and monitor IP-based, packet-switched applications that a GPRS or EGPRS mobile phone services under realistic operating conditions. The software records and displays the exchanged protocol messages and evaluates the data throughput between the mobile and the PC. Moreover, it allows the CMU to perform TX tests while a mobile-terminated or mobile-originated application is running.

In addition to the operating instructions for the (E)GPRS Application Testing software, this help system contains the system requirements and information about the installation of the option. The instructions assume you are familiar with Windows use and terminology.

More:


PC Requirements

The (E)GPRS Application Testing software is designed for a PC equipped with a 32-bit Windows operating system networked to a R&S CMU200. The PC requirements are listed below:

· Windows 2000 with Service Pack 3 or higher, Windows XP with Service Pack 1 or higher

· Pentium III or higher processor

· 40 MB hard disk

· 100 Mbit network adapter and Ethernet connector

· CD-ROM drive

· VGA or higher resolution display adapter


R&S CMU Requirements

The R&S CMU hardware and software requirements are listed in the separate installation instructions supplied with the option, stock no. 1157.4119.00. In particular, the R&S CMU200 must have the following software options installed and enabled:

· One of the GSM software options R&S CMU-K21…K24 V3.80 or higher

· One of the GSM software extensions R&S CMU-K42 (GPRS) or R&S CMU-K43 (EGPRS) V3.80 or higher

The R&S CMU must be equipped with an Ethernet connector, to be mounted on the rear panel of the instrument. Your Rohde & Schwarz service representative will install the connector and label it ETHERNET USU when you purchase the option for an older R&S CMU unit. (check)


2 Software Installation

Attention: Check the names of all files and paths in this section before the final release !!!

The (E)GPRS Application Testing software is divided into several components, to be installed on the external computer and on the R&S CMU. The installation a three-stage process:

1. Install the PC components of the (E)GPRS Application Testing software (Data Application Test Suite, DATS); see section Installing the DATS.

2. Configure the PPP WAN adapter providing the communication path between the incoming data from the R&S CMU / the mobile under test and the network components of the Windows operating system; see section PPP WAN Adapter Configuration.

3. Install the R&S CMU software components and enter the key code provided with R&S CMU-K92 to enable the option; see section Installing and Enabling the R&S CMU Components.

After these steps, the CMU can be connected to a mobile phone and the PC in order to simulate a radio network; see section Putting into Operation. The necessary configurations of the DATS and the CMU are described in section R&S CMU Configuration for (E)GPRS Application Tests.

More:


Installing the DATS

The Data Application Test Suite (DATS) is the central simulation and analysis tool of the (E)GPRS Application Testing software. To be run on an external PC equipped with a Windows 2000 or Windows XP operating system, the DATS requires an auxiliary software component termed the GSM Operational Software.

Note: You need to have administrator rights to install software on a Windows operating system.

Both the DATS and the Operational Software are installed on the external PC from the R&S CMU-K92 CD-ROM using an InstallShieldâ setup process. It is recommended to install the Operational Software in a first stage.

To install the Operational Software…

1. Insert the CD into the CD-ROM drive.

2. Use Windows Explorer to view the contents of your CD-ROM’s root directory. Close all other applications.

3. Double-click the setup file SETUP_FULL_CMU-WS-OPSW_<Version_no.>.exe in the CMU-WS-OPSW subdirectory and follow the instructions of the InstallShield Wizard, accepting the terms of the software license.

The program directory OPSW is created automatically on the local disk (drive C:). During the installation, a PPP WAN adapter is installed. In addition a batch job CMU-WS OPSW Init is executed and copied to the Windows Startup program folder. The main role of this batch job is to re-map drives D:, L:, Q:, and T: as required by the DATS.

Attention: The required drive mapping must be compatible with your system configuration. If installation of the Operational Software fails, check your drive mapping and ensure that drives D:, L:, Q:, and T: are available for the DATS application.
To restore the original drive mapping simply remove the batch job CMU-WS OPSW Init from the Startup program folder and restart the PC. The executable file cmuws.bat is stored in the program directory C:\OPSW\1.9975\CR02P2P.

To install the DATS…

1. Double-click the setup file SETUP.exe in the CRTU_GD03\2v30 subdirectory of the R&S CMU-K92 CD-ROM and follow the instructions of the InstallShield Wizard, accepting the terms of the software license.

Installation is largely self-explanatory. In the dialogs following the license agreement you can select the program and start menu folders and the setup type.

2. In the Choose Destination Location dialog, click Browse if you wish to copy the application to a destination folder other than the default folder.

3. In the Setup Type dialog, choose Full installation.

4. In the Select Program Folder dialog, select the default start menu folder CRTU-GD03 or another existing folder.

5. After completing the setup, select Create Default User (if this checkbox is displayed) before you click Finish to complete the installation.

After finishing the installation, the Windows places the start icon for the DATS onto the desktop.

In addition, links for starting the DATS, the Analysis Tool, the WAP Gateway, and the Web Server Lite appear in the start menu folder selected during the installation.

From here you can also access the documentation related to the DATS including this manual.

During the installation a default PC user called rsuser is created automatically. The rsuser is required to access the PPP WAN Adapter installed with the Operational Software. The configuration of the PPP WAN Adapter is described in the following section.


PPP WAN Adapter Configuration

The PPP WAN adapter provides the communication path between the incoming data from the R&S CMU / the mobile under test and the network components of the Windows operating system. The adapter is automatically installed together with the Operational Software component of the Data Application Test Suite (DATS); see section Installing the DATS.

The Windows operating system needs to be instructed to use the PPP WAN adapter for an incoming connection. Windows provides the Network Connections Wizard to define the necessary settings. The configuration for Windows 2000 and Windows XP is slightly different.

More:


Windows XP Procedure

The New Connection Wizard which is opened from the control panel provides all necessary PPP WAN Adapter settings.

1. Click Start – Settings – Control Panel – Network Connections – Create a new connection to open the wizard and click the Next button.

2. In the Network Connection Type dialog opened, select Set up an advanced connection. Click Next.

3. In the Advanced Connection Options dialog opened, select Accept incoming connections. Click Next.

4. In the Devices for Incoming Connections tab select PPP WAN Adapter and click Next.

Note: If the list of Connection devices shows more than one WAN adapter, it is recommended to Cancel the wizard and restart the PC. If the problem persists, then remove the additional WAN adapter as follows:
Click Start – Settings – Control Panel – Administrative Tools – Computer Management – Device Manager – Network Adapters. Right-click the additional WAN adapter and select Uninstall from the context menu.

5. In the Incoming Virtual Private Network (VPN) Connection dialog opened, select Do not allow virtual private connections. Click Next.

6. In the User Permissions dialog, allow the RsUser to connect via the PPP WAN Adapter connection. Click Next.

7. In the Networking Software dialog opened, select Internet Protocol (TCP/IP) (other networking software may be checked simultaneously) and click the Properties button to open a popup dialog for the TCP/IP address information.

8. Configure the Incoming TCP/IP Properties dialog as shown below. In particular, use the fixed, reserved private TCP/IP addresses 192.168.1.19 and 192.168.1.20 and enable Allow calling computer to specify its own IP address.

9. Click OK to close the popup dialog and Next to proceed to the last dialog of the Network Connection Wizard.

10. Click Finish to complete the installation and close the wizard.


Windows 2000 Procedure

The Network Connections Wizard which is opened from the control panel provides all necessary PPP WAN Adapter settings.

1. Click Start – Settings – Control Panel – Network and Dial-up connections – Make New Connection to open the wizard and click the Next button.

2. In the Network Connection Type dialog opened, select Accept Incoming connections. Click Next.

3. In the next dialog, select the PPP WAN Adapter (check the box) and click Next.

4. In the Incoming Virtual Private Connection dialog opened, select Do not allow virtual private connections. Click Next.

5. In the next dialog, allow the rsuser to connect via the PPP WAN Adapter connection. Click Next.

6. In the Networking Components dialog opened, select Internet Protocol (TCP/IP) and press the “Properties” button to open a popup dialog for the TCP/IP address information.

7. Configure the Incoming TCP/IP Properties dialog as shown below. In particular, use the fixed, reserved private TCP/IP addresses 192.168.1.19 and 192.168.1.20 and enable Allow calling computer to specify its own IP address.

8. Click OK to close the popup dialog and Next to proceed to the last dialog of the Network Connection Wizard.

9. Click Finish to complete the installation and close the wizard.


Installing and Enabling the R&S CMU Components

The R&S CMU components of option R&S CMU-K92 are part of the CMU MS GSM software package. To install these components, it is sufficient to activate a CMU MS GSM software package V3.80 or higher and to enable the option using the key code provided with the option. No separate installation and no additional registration is required.

Together with the R&S CMU system requirements, the installation procedure is described in the separate installation instructions provided with the option, stock no. 1157.4119.00. The R&S CMU 200/300 operating manual, stock no. 1100.4903.12, describes how to handle software packages on the R&S CMU using the VersionManager and how to enable options.

Software Upgrades

Check this section: Is there a need for updating the DATS??? How are patches handled ????

An update of the CMU MS GSM software package generally implies the necessity of updating the PC components of the R&S CMU-K92 software (DATS). This is simply done by means of patch files available for download on the GLORIS service board.

A patch file *<Version_no>.exe is stored with each CMU MS GSM software version supporting R&S CMU-K92. Starting the executable file on the PC updates the current R&S CMU-K92 version and makes it compatible to the new CMU MS GSM software.


3 Putting into Operation

After successful installation according to Chapter Software Installation, option R&S CMU-K92 requires the following preparations on the R&S CMU and the PC:

1. Establish an Ethernet connection between the R&S CMU and the PC assigning the appropriate IP addresses; see section Connecting the R&S CMU to the PC.

2. Configure the R&S CMU for (E)GPRS Application Testing; see section R&S CMU Configuration for (E)GPRS Application Tests.

3. Configure the Data Application Test Suite (DATS) in accordance with the R&S CMU settings; see section DATS Configuration.

More:

Connecting the R&S CMU to the PC

R&S CMU Configuration for (E)GPRS Application Tests

DATS Configuration

Starting a Test and Verifying the Connection


Connecting the R&S CMU to the PC

The R&S CMU is directly connected to the PC using the ETHERNET USU connector on the rear panel of the instrument (see section R&S CMU Requirements) and a cross-over network cable. To communicate with the PC the R&S CMU must know its IP address, so you have to look up or change this address.

Attention: It is advisable to keep the PC’s IP address and set this address at the R&S CMU as described in section R&S CMU Configuration for (E)GPRS Application Tests.
When changing the IP address of your PC, always keep the initial address to ensure you can re-use it after closing the R&S CMU-K92 session.
If your PC is equipped with a single network adapter that is used to connect to the internet or to a business network, you have to cancel this network connection (work locally) in order to run option R&S CMU-K92.

To set up a connection between the CMU and the PC…

1. Establish a direct (dedicated) connection between the PC and the R&S CMU 200 using an appropriate cross-over network cable. Connect the cable between the network port labeled ETHERNET USU on the rear panel of the R&S CMU 200 and either the network (non-dedicated connection) or the network connector on the PC.

2. Click Start – Settings – Control Panel – Network Connections and select a network adapter to be used for the connection.

3. Click Network Tasks – Change settings of this connection to open the Local Area Connection Properties dialog.

4. Select Internet Protocol (TCP/IP) and click the Properties button to open the Internet Protocol (TCP/IP) Properties dialog.

5. Note your IP address and proceed with step 6. Alternative: Keep your or original IP address for future use, then overwrite it, e.g. using the default IP address of the workstation that the R&S CMU expects (see below and section R&S CMU Configuration for (E)GPRS Application Tests.). The DNS server addresses are not relevant for the dedicated connection.

6. Click OK – OK to confirm your changes.


R&S CMU Configuration for (E)GPRS Application Tests

The R&S CMU provides a special test mode for GPRS and EGPRS application tests. The test mode is selected in the Connection Control menu after one of the supported GSM networks is started.

To configure the R&S CMU for (E)GPRS application tests…

1. Start up the R&S CMU. In the Menu Select menu, select one of the supported GSM networks (see section R&S CMU Requirements) and the Signalling mode. Press Enter to access the GSM Signalling measurements and automatically open the Connection Control menu.

2. Make sure that your GSM is in a well-defined state: Press the RESET key on the front panel of the instrument and confirm the Reset of all GSM Signalling parameters.

3. If you wish to change the IP address of the R&S CMU, you can do this in the Setup menu; see Fig. 1.

Note: The TCP/IP information is not changed after a reset of the R&S CMU base system or the GSM-MS Signalling function groups.

4. In the Misc. tab in the second level of the Connection Control menu, adjust the IP Address Workstation to the IP address of your PC’s network adapter (see section Connecting the R&S CMU to the PC). If desired, you can also change the Port number for your application test.

TCP/IP Ports: IP addresses identify a particular device within the TCP/IP network. The port number is an additional addressing element that identifies a specific software application process within a particular IP address. Port numbers are important if a host on a network has different software application processes running concurrently. Each (E)GPRS data application can be run with a specific port number.

5. In the Connection tab of the Connection Control menu, select Main Service: Packet Data, Network Support: GSM + GPRS (for GPRS application tests) or Network Support: GSM + EGPRS (for EGPRS application tests), and Service Selection: Application Test.

The R&S CMU displays a message for approx. 30 s while the Application Test is initialized. Afterwards the Connection Control menu should look as shown below.

Fig. 1 R&S CMU settings for (E)GPRS application tests

The R&S CMU is now ready to perform (E)GPRS application tests as described in the following section.

Note: The MS Signal, BS Signal, and Network tabs are disabled while an application test is selected. The RF parameters of the connection can be changed from the DATS; see section DATS Configuration.

The R&S CMU (Universal Signalling Unit R&S CMU-B21) has assigned a default IP address 192.168.168.170 which can be changed in the Setup menu (opened via the SETUP key on the front panel). This must be done before the application test is selected.

Fig. 1 R&S CMU IP address settings

Note: The IP addresses of the workstation and of the R&S CMU and the IP port address are also stored in the configuration file prostacklink.ini in the directory C:\OPSW\<version>\CR02P2P which is installed together with the operational software. When changing the R&S CMU address, always adjust the IP address string in prostacklink.ini.

R&S CMU configuration via remote control

The configuration described in this section can be set with the following remote control commands:

Base system commands: SYSTem:TCPip:PRIMary:STATic:IPADdress
                                    <IP1>, <IP2>, <IP3>, <IP4>
                            SYSTem:TCPip:PRIMary:STATic:SMASk
                                    <SM1>, <SM2>, <SM3>, <SM4>
                            SYSTem:TCPip:PRIMary:STATic:DGATeway
                                    <GW1>, <GW2>, <GW3>, <GW4>

GSM Signalling commands: CONFigure:NETWork:NSUPport GGPR | GEPG
                            PROCedure:SIGNalling:PDATa:ACTion SATest
                            CONFigure:ATESt:WSIPadress
                                    <IP1>, <IP2>, <IP3>, <IP4>
                            CONFigure:ATESt:WSPort <port_no>

For a detailed documentation of the commands refer to the relevant manuals (R&S CMU 200/300 for base system, R&S CMU-K20, … , -K26 (GSM-MS) for the GSM Signalling commands).


DATS Configuration

To communicate with the CMU, the DATS needs to know the GSM band used by the R&S CMU and the mobile under test. Moreover, a couple of RF-related parameters can be set in the DATS, overwriting the current R&S CMU parameters.

1. Double-click the start icon on your desktop or click Main Program in the program folder (e.g. CRTU-GD03) in the Start – Program menu to start the DATS.

The start icon and the program folder are created during the DATS installation; see section Installing the DATS . The DATS is opened with its main application window described in section Data Application Test Suite (DATS).

2. Click Test – Configuration – Signalling, and select the GSM band currently used by the R&S CMU in the Band panel of the configuration dialog.

In the configuration dialog, you can also change the broadcast and traffic channel numbers of the R&S CMU’s (downlink) BS Signal, the signal Levels in these channels, the multislot configuration, the (modulation and) coding scheme (CS1 to CS4 for GPRS, MCS1 to MCS9 for EGPRS), and the channel-specific power control parameter Gch (Gamma). For more information see section DATS Configuration.


Starting a Test and Verifying the Connection

With the preparations described in the previous sessions, an (E)GPRS application test can be started from the DATS in a straightforward way. After connecting the R&S CMU to your PC (see section Connecting the R&S CMU to the PC) proceed as follows:

1. Configure the R&S CMU as described in section R&S CMU Configuration for (E)GPRS Application Tests. and press Start Appl. Test.

2. Start the DATS and set the GSM band in use (see section DATS Configuration).

3. Click Test – Run and wait until the DATS has Connected to (the) LAN. This may take approx. 30 seconds.

4. Connect your mobile to the bidirectional RF connector RF 2 and switch on.

The DATS displays the UL and DL signalling messages exchanged between the R&S CMU and the mobile as soon as the latter initiates an (E)GPRS attach.

In the Attached state, the DATS is ready for an (E)GPRS application test. A simple example is described in Sample Session.

For a quick test of the connection you can select Tools – API Demo (MP Events) and send a short message to the connected mobile; see section Demo Tools.

You can also test the LAN connection between the DATS and the R&S CMU by sending a ping to the R&S CMU: Open the command prompt and enter the following command line: ping  -w 4000 –l 512 192.168.168.170 –t
The R&S CMU should respond within 4000 ms.


4 Sample Session

The following application example is intended to give an introduction to the main features that the DATS provides for application control and data analysis. The example reports a HTTP download from a web server. The download does not require any additional tools: the web server and the downloaded files are supplied with the installation of option R&S CMU-K92.

Activating the web server

Web Server Lite is a simple solution for web application tests on the local PC; see section Web Server Lite. This server is included in the Full DATS installation described in section Installing the DATS. To activate the web server,

1. Open the Windows Start menu and click Web Server Lite.

The server opens a command prompt window with the message sequence:

The DOS box must be left open until the end of the HTTP download.

Initiating the HTTP download

2. Proceed as described in section Starting a Test and Verifying the Connection to establish an (E)GPRS connection between the DATS and the mobile.

3. After you have reached the Attach Complete state, initiate a HTTP download from your mobile phone using the download address http:// 192.168.1.19:80/index.html.

The IP address is the one assigned to the PPP WAN adapter; see section PPP WAN Adapter Configuration. The source port number 80 is the default port number of the web server, stored in the WebServerLite.ini file in the GS03_INET directory of the server. Index.html is a sample file for demo tests and is stored in the same directory. The file is small in size and quickly transferred but provides a link to a larger *.pdf file named CRTUG_21_web.pdf.

4. Activate the link to download the file CRTUG_21_web.pdf.

Analyzing the data rates

5. Click View – Analysis Tool (or the corresponding icon in the toolbar) to display the Signalling messages exchanged between the R&S CMU and the mobile and the transferred IP frames.

During the download the message list and detailed view of the analysis tool typically looks as follows (see section Message Display):

6. In the Analysis Tool, click View – Traffic Graph (or the corresponding icon in the toolbar).

The traffic graph shows the data throughput since the beginning of the session and is continuously updated with the message list (see section Traffic Graph). The IP traffic at the beginning of the connection and the transfer of the small file index.html generates a traffic graph of the following type:

The transfer of the larger *.pdf file generates a traffic graph of the following shape:

The ripples in the DL data rate reflect the large IP packets which are crossing the link in bursts.

7. Click on a particular point in the traffic graph to analyze the data rate in detail.

A red, horizontal marker line appears in the graph. At the same time the message list is scrolled, and the detailed view shows a statistical evaluation of the data rate.

The file transfer is also monitored in Web Server Lite’s command prompt window.

P/Slot analysis

During the DATS session, you can always run TX measurements on the R&S CMU to obtain more insight in the UL traffic.

8. Close the Connection Control menu (from where you activated the application test), press Menus – Power and activate the P/t Multislot application.

The Power menu displays the power in all used uplink slots. For the simplest multislot configuration with one uplink slot and coding scheme CS4 (i.e. GMSK modulation), a result of the following type can be obtained:

Closing the application

9. Go back to the DATS main window and click File – Save Log As… to save the messages including the details and the recorded traffic rate to a log file (*.dlf).

You can re-open the log file any time using the Analysis Tool.

10. Click Test – Run to terminate the test and disconnect.

You can now close the DATS (File – Close) and the Web Server Lite (Close button of the command prompt window) and switch off your R&S CMU and mobile phone.


5 Data Application Test Suite (DATS)

The Data Application Test Suite (DATS) is the central control and evaluation tool for data application tests.

When started as described in section Starting a Test and Verifying the Connection, the application shows its main window:

Fig. 2: DATS main window

The main window provides the following control and display elements:

· The title bar shows the application’s name. If a log file is stored, the name and directory of this file is displayed in addition. A temporary file name C:\TEMP\~$GD03.dlf indicates that the messages of the current DATS session are viewed using the Analysis Tool. The control elements in the title bar provide standard Windows functionality.

· The menus and the corresponding icons control all tasks performed by the DATS; see section Main Window Controls.

· The message list contains status information about the DATS (grey lines), uplink (blue) and downlink (green) messages exchanged between the R&S CMU and the mobile, and error messages (red). The messages can be stored to a log file using the File menu commands. Uplink and downlink messages can be analyzed in detail using the Analysis Tool of the DATS; see section Analysis Tool.

· The status bar gives additional information about the selected menu command or icon, the status of the application and the connection, important RF parameters, and the amount of logging information kept in memory. The status bar may be hidden using View – Status Bar in order to gain more space for the message list.

Information elements in the status bar

Anything else in the status bar ??? Add gray box for background information !

Explain:

More:

Main Window Controls

Configuration Dialogs

Traffic Window

Demo Tools

Analysis Tool


Main Window Controls

The main window provides five menus to control all tasks performed by the DATS. The icons below the menu bar are shortcuts to frequently used menu commands. Equivalent keyboard shortcuts are also shown in the menus.

Saves log files and closes the application:

· Save Log calls up a standard Save As dialog to select a name and location for the generated log file and saves the file. If it is used repeatedly Save Log updates the log file with the current contents of the message list.

· Save Log As… calls up a standard Save As dialog to select a name and location for a new log file and saves the file.

· Clear Log closes the current log file.

· Exit closes the DATS (disabled while a test is running).

A log file is a binary file with default extension *dlf that is used to store the information displayed in the message list of the DATS main application window. The log file also contains detailed information about all the messages exchanged during the test session and the data throughput displayed in the Traffic Window (see section Traffic Window). Saving data to a log file clears the internal memory of the DATS.

Log files can be read by the Analysis Tool; they cannot be opened by the DATS itself. Recording of log files is controlled by means of the AutoLog Configuration menu (Test – Configuration – AutoLog); see section AutoLog Configuration.

Controls the test and open the configuration submenu:

· Run starts a test or stops a running test.

· Configuration opens a submenu with two commands, each opening a configuration menu.

· Signalling opens the DATS Configuration dialog to select the GSM band and set the RF parameters for the connection; see section DATS Configuration.

· AutoLog opens the AutoLog Configuration dialog to specify how much information is kept in the log memory and how often it is saved to a log file; see section AutoLog Configuration.

Customizes the main application window and provides additional evaluation tools:

· Measurement Window displays the measurement reports received from the mobile phone in a graphical view; see section ???? check whether this is available.

· Traffic Window displays the real-time traffic data throughput during the connection; see section Traffic Window.

· Mobile Phone / SIM Window ???? check whether this is available

· Analysis Tool opens the log file viewer of the DATS; see section Analysis Tool.

· Small Toolbar and Large Toolbar toggle between small and larger toolbar icons; see Fig. 2 . Small toolbar icons enlarge the space for the message list.

· Status Bar shows or hides the status bar; see Fig. 2 . Hiding the status bar enlarges the space for the message list.

Contains application tools written using the DATS Application Programmers’ Interface (API) and provides demo tools for the application:

· API Demo (MT Events) opens a dialog used to send a short message to the mobile; see section Demo Tools.

Provides information on the application:

· About opens a dialog indicating the current DATS version, a link to the Rohde & Schwarz internet and copyright information.


Configuration Dialogs

The configuration dialogs described in this section provide settings for the RF connection between the R&S CMU and the (E)GPRS mobile phone and for data logging. All dialogs can be opened from the Configuration menu or using the icons in the toolbar.

More:


DATS Configuration

The DATS Configuration dialog selects the GSM band and sets the RF parameters for the connection between the R&S CMU and the mobile under test. It is opened via Test – Configuration – Signalling (Ctrl + ENTER) or by clicking the Signalling Config icon.

The dialog is disabled while a test is running. The settings are stored for future use when the DATS is closed. They are displayed at the beginning of the message list when the DATS is started:

For a detailed description of the GSM bands and RF parameters refer to the operating manual for the GSM-MS network options, stock no. 1115.6088.12.

[

Fig. 3: DATS configuration dialog

Band

The GSM band selected in the upper panel of the configuration dialog must be in accordance with the GSM band used for the connection between the R&S CMU and the mobile under test; see section DATS Configuration. The four bands correspond to the following R&S CMU software options:

GSM 900 GSM 900-MS R&S CMU-K21
GSM 1800 (PCN) GSM 1800-MS R&S CMU-K22
GSM 1800 (PCS) GSM 1800-MS R&S CMU-K23
GSM 850 GSM 850-MS R&S CMU-K24

RF and (E)GPRS
parameters

In contrast to the GSM band the RF parameters below overwrite the current R&S CMU settings. They are needed because the MS Signal, BS Signal, and Network tabs of the R&S CMU’s Connection Control menu are disabled while an application Test is running.

The following two parameters can be defined separately for the control channel (Broadcast Channel, BCCH) and the Traffic Channel (TCH) of the R&S CMU’s BS Signal.

ARFCN Absolute RF Channel Number. The ARFCN range depends on the selected GSM band.

Level RF signal level in dBm.

The following parameters are related to (E)GPRS multislot operation:

Slot Configuration Number of downlink and uplink timeslots used. It is possible to select a single uplink and downlink timeslot or specify Advanced configuration (for single slot or multislot mode). The Advanced button opens the Advanced Multislot Configuration dialog to select the individual downlink and uplink slots corresponding to the Multislot Class of the mobile under test. Timeslots that are incompatible with the selected multislot class are disabled (grayed) in the dialog.

Coding Scheme Coding scheme for downlink traffic data channels: Coding schemes CS1 to CS4 for GPRS or modulation and coding schemes MCS1 to MSC4 for EGPRS.

Gamma Channel-dependent uplink power control parameter Gch. The gamma scale is analogous to the Power Control Level (PCL) scale for circuit switched connections; it comprises values between 0 and 31.

Authentication

The GPRS Authentication dialog is opened by clicking the Authentication button and shows the user name and password created during PPP WAN adapter configuration. This information should not be changed.


AutoLog Configuration

The AutoLog Configuration dialog specifies how much information is kept in the log memory and how often it is saved to a log file. It is opened via Test – Configuration – AutoLog (Ctrl + L). As an alternative to automatic logging, log files can be created manually using the File menu commands described in section Main Window Controls.

The dialog is enabled even while a test is running; the settings take effect almost immediately (within 15 seconds). The settings are stored for future use when the DATS is closed. They are displayed at the beginning of the message list when the DATS is started:

Ctrl + L [

Fig. 4: AutoLog configuration dialog

What to Log

Specifies the amount of data that the DATS keeps in memory. The data in the memory can be saved automatically according to the Auto Save options or manually using the commands in the File menu. The memory contains the information displayed in the message list of the DATS main application window plus detailed information about all the messages. It is cleared automatically after the data has been saved to a log file.

Everything The DATS keeps the entire information of the current test session, no matter how many individual test runs have been started (Test – Run). If the data is never saved to a file the required storage capacity increases with the duration of the test session.

Last xxx minutes The DATS only keeps the information recorded in a moving time window of the specified duration. Older information is discarded.

Last xxx kBytes The DATS keeps up to a specified number of kBytes in memory. Once this limit is exceeded, newer information replaces the oldest one. The current number of bytes in memory is shown in the toolbar:

Last xxx calls The DATS keeps up to a specified number of connections in memory. Once this limit is exceeded, the information about the oldest connection is discarded as soon as a new connection is released (PDP context deactivation for (E)GPRS connections).

When to
Auto Save

Specifies the period of the auto save mechanism in order to divide the logged information into portions. The log file always contains the full contents of the current memory; the auto save period is independent of the What to Log… settings.

Never Auto save is deactivated; log files can be generated manually using the commands in the File menu.

Every xxx minutes A new log file with a new name is created approx. every xxx minutes. Log files are distinguished by the time stamp in their file names; see below.

Every xxx kBytes A new log file is created after a specified amount of data has be acquired. The current number of bytes in memory is shown in the toolbar:

Every xxx calls A new log file is created after a specified number of connections have been set up and released (PDP context deactivation for (E)GPRS connections).

Delay save… Extends the specified auto save period until the current connection has been released. This option ensures that the messages from a single connection are never split over several log files.

The DATS always creates a log file before it is closed (File – Exit) unless When to Auto Save: Never is active. To save the information acquired in an entire session to a single file, select one of the other auto save options and specify a sufficiently large number (e.g. every 1000 calls).

Where to
Auto Save Logs

Specifies the directory on the PC and the name of the log files. The auto save mechanism can create a large number of log files. To ensure that they can be sorted in chronological order, the file names consist of a user-defined prefix complemented by the current date and time. The file extension *.dlf is automatically annexed to the file name.

With Use IMEI, the International Mobile Equipment Identity evaluated by the R&S CMU replaces the prefix.

Note: The R&S CMU must connect to the mobile in order to evaluate its IMEI. When the mobile is exchanged, the previous IMEI is still used until a new connection is set up.

Information Windows

The information windows described in this section display various types of information about the mobile phone and the running data test application. All information windows can be opened from the View menu or using the icons in the toolbar.

Measurement Window

The Measurement window dialog displays the contents of the receiver reports provided by the mobile phone while it is in call.

Check: Does this exist ? Probably no (EGPRS)

It is opened via View – Measurement Window or by clicking the Measurement Window icon.

[

Replace icon

Check figure

Fig. : Measurement window


Traffic Window

The Traffic Window displays the real-time traffic data throughput during the current connection. It is opened via View – Traffic Window (Ctrl + T) or by clicking the Traffic Window icon.

The contents of the window are updated at approx. the same rate as the mobile’s measurement reports, i.e. typically twice per second. They remain static after the end of the connection (PDP context deactivation); they are cleared at the beginning of the next connection.

[

Fig. 6: Traffic Window

Traffic Summary | Statistical evaluation of the throughput in downlink (DL) and uplink (UL) direction: Bytes Total number of bytes transferred since the beginning of the connection. Throughput Data throughput in kbit/sec. The Current values are averaged over approximately 4 seconds. The Peak and Average values correspond to the maximum and average of all Current values since the beginning of the connection.
2D-Chart | The diagram in the lower part of the window visualizes the Current DL and UL data throughput as a function of time. The timing information across the x-axis is indicative rather than absolutely accurate.

Mobile Phone/SIM Window

Check: Does this exist ? Probably no (EGPRS)


Demo Tools

To test applications, the DATS can be provided with additional software tools written by means of the Application Programmers’ Interface (API). Application tools are accessible from the Tools menu. The DATS scans for available tools (directory? File extension?) at startup and updates the entries in the Tools menu.

The DATS is shipped with a simple Mobile Terminated (MT) demo tool providing a basic test of the Short Message Service. This tool is opened by via Tools – API Demo (MT Events).

Tools – API Demo [

Fig. 7: API Demo

SMS

Sends a short message to the mobile. The text of the message is fixed and reads “This is a message sent by the R&S Data Application Test Suite”. The mobile must be (E)GPRS attached to receive the message. The DATS message list shows the following message sequence.


Analysis Tool

The Analysis Tool is the log file viewer of the DATS.

· If it is opened via View – Analysis Tool (Ctrl + A) or by clicking the Analysis Tool icon, it shows the logged information acquired in the current session since the last log file was saved.

· Alternatively it is possible to launch the Analysis Tool from the DATS program group in the Start menu or simply double-click a log file (*.dlf).

The Analysis Tool can display several log files in parallel.

Fig. 8: Analysis Tool

Log files can be created manually using the File menu commands described in section Main Window Controls. As an alternative the DATS can automatically create log files in periodic intervals; see AutoLog Configuration. The current amount of data in the DATS memory (and thus the expected size of the log files) is monitored in the toolbar.

The main window of the Analysis Tool provides the following control and display elements:

· The title bar shows the application’s name. If a log file is viewed, the file name is displayed in addition. The temporary file name ~$GD03.dlf indicates that messages of the current DATS session are viewed. The control elements in the title bar provide standard Windows functionality.

· The menus and the corresponding icons control all tasks performed by the Analysis Tool; see section Main Window Controls.

· The central area contains the message list for each of the log files viewed, the details for a selected message and the optional Traffic Graph; see section Message Display.

· The status bar displays the tooltip of the currently selected menu command or icon.

More:

Main Window Controls

Message Display

Message Display Filter

Traffic Graph


Main Window Controls

The main window provides five menus to control all tasks performed by the DATS. The icons below the menu bar are shortcuts to frequently used menu commands. Equivalent keyboard shortcuts are also shown in the menus.

Opens or closes log files and closes the application:

· Open calls up a standard Open File dialog to select a log file (*.dlf).

· Close closes the active log file.

· The log file list displays and re-opens up to four recently analyzed log files.

· Exit closes the Application Tool.

Note: It is possible to open and analyze several log files simultaneously. The Analysis Tool provides the standard Windows functionality for file handling, in particular the controls in the title bar of the windows and the commands in the Window menu.

Changes the contents of the message list:

· Message Filter opens a dialog providing filter options for the analyzed messages; see section Message Display Filter.

Provides search and evaluation tools and customizes the main application window. The following search options are enabled while a particular message is selected in the message list:

· Next Match (Exact) searches for the next message of exactly the same type (example: if an IP Frame from LAN message is selected, then the next exact match is also an IP Frame from LAN message). If a message is found, it is displayed on a dark blue background, and the message contents appear in the detailed view below the list.

· Next Match (Close) searches for the next message of similar type (example: if an IP Frame from LAN message is selected, then the next exact match can be an IP Frame from LAN message but also an IP Frame for LAN message).

· Traffic Graph displays the real-time traffic data throughput during the connection; see section Traffic Graph.

· Toolbar shows or hides the toolbar. Hiding the toolbar enlarges the space for the message list and the detailed view.

· Status Bar shows or hides the status bar; see Fig. 8. Hiding the status bar enlarges the space for the message list and the detailed view.

Provides commands for arranging and handling the windows for different log files:

· New Window creates a new window and displays the contents of the active log file in this window. The message lists in the two windows can be scrolled independently.

· Cascade arranges all opened windows in an overlapped fashion.

· Tile arranges all opened windows in non-overlapped tiles.

· Arrange Icons arranges the icons for minimized windows across the bottom of the main window. An open log file window may cover and hide the icons.

· The numbered list shows all open log file windows. The active window is displayed with a checkmark.

Provides information on the application:

· About… opens a dialog indicating the current version of the analysis tool, a link to the Rohde & Schwarz internet and copyright information.


Message Display

The central area of the main window shows the message list and the detailed view below. The amount of messages can be reduced using the Message Display Filter.

Fig. 9: Message display

Message list

In the message list the recorded or generated messages are displayed with their direction (UL for uplink messages, DL for downlink messages), the Time when they were recorded, the Frame no. (if applicable), and the message name and type (Description). Uplink messages are blue, downlink messages are green, GUI messages are gray. The following message types may occur:

GUI messages Messages containing measured values that can be displayed in graphical views (Traffic Rate Updates) or additional status information/comments generated by the DATS

Signalling messages Signalling and layer 3 messages exchanged between the R&S CMU and the mobile.

LAN Traffic IP frames or PPP frames transferred over the LAN.

Detailed view

The contents of detailed view depend on the message type:

· GUI comments are displayed with their description; GUI Traffic Rate Updates contain the throughput statistics (see section Traffic Graph).

· Signalling messages are displayed as an array of bytes, together with the logical channel, timeslot and SAPI information, if appropriate.

· For LAN traffic messages, the total frame contents are displayed. The contents of the different frame components (e.g. the IP header information, TCP header information, protocol data) are displayed separately.

Questions: Is Frame relevant ? Channel/Timeslot/SAPI? Are there special system configuration messages and timer messages?


Message Display Filter

The Message Display Filter dialog sets criteria for the display of messages in the Analysis Tool. It does not modify the contents of the analyzed log file. The dialog is opened via Edit – Message Filter (Ctrl + F) or by clicking the Message Filter icon.

The dialog is enabled as soon as a log file is open. The filter options can be used to reduce the amount of data displayed and focus on the information actually needed. By default all messages in the log file are displayed. To indicate that the filter settings have been changed so that the displayed message list may not be complete, the message [Filtered] appears in the title bar of the Analysis Tool, the Message Filter icon in the toolbar is highlighted, and a checkmark precedes the Edit – Message Filter command.

[

Fig. 10: Message Display Filter dialog

Signalling

Selects different classes of signalling messages exchanged between the mobile and the R&S CMU and recorded. The Associated (SACCH) messages are not relevant for (E)GPRS connections.

GUI Information

Selects the GUI information. The GUI information consists of two message types:

· Messages containing measured values that can be displayed in graphical views (Traffic Rate Updates)

· Additional status information or comments that the DATS stored in the log file (Other GUI Messages).

The Measurement Reports and the Mobile/SIM Information are not relevant for (E)GPRS connections.

Filter by Time

Discards all messages except the ones recorded in the selected time interval.

Miscellaneous Information

Selects the data transferred over the LAN including IP and PPP frames for display.

Apply as Default

Stores the current filter settings as a default configuration which will be activated automatically when the Analysis Tool is opened again.


Traffic Graph

The Traffic Graph displays the real-time traffic data throughput stored in the log file. It is opened via View – Traffic Graph or by clicking the Traffic Graph icon.

[

Fig. 11: Traffic Graph

2D-Chart

The diagram visualizes the Current DL and UL data throughput as a function of time. Each throughput is plotted as a polygonal curve connecting the consecutive data rate values provided by the DATS. The graph can be scrolled and resized. Since the log file can contain several connections, a vertical magenta line marks the beginning of each connection.

The DATS updates the throughput values at approx. the same rate as the mobile’s measurement reports, i.e. typically twice per second. Whenever this happens a GUI message Traffic Rate Update appears in the message list.

Marker line

A mouse click places the vertical, red marker line to a particular position (time) in the graph. The marker line is synchronized with the message list:

Ø To find the message corresponding to a particular graph point (e.g. a point where the throughput was exceptionally poor), click on the graph point: the list is scrolled (if necessary) so that the corresponding Traffic Rate Update message appears on top or at the bottom of the view area.

Ø To find the graph point corresponding to a particular Traffic Rate Update message, click the message. The red marker line is moved to the point.

Ø Use the Exact Match search tool [image] to move from one Traffic Rate Update message to the next.

Detailed analysis

The detailed information for the Traffic Rate Update messages contain the current UL and DL rates in kbit/s (the values displayed in the graph, averaged over approx. 4 s), the total number of transferred bytes, the average throughput since the beginning of the connection, and the maximum attainable throughput according to the (E)GPRS configuration for the connection (see section DATS Configuration). The measured rates are also displayed in the Traffic Window while the session is recorded.


6 Further Reference Information

The present chapter contains background information about third-party utilities included with the DATS installation.

More:


Web Server Lite

Web Server Lite is software tool for local web server tests on a Windows PC with no need for external servers. The server is automatically installed with the Full DATS installation and can be launched from the DATS program group (see Sample Session). In contrast to commercial quality web servers to be run on an external computer equipped with a dedicated server operational software, Web Server Lite does not consume large amounts of system resources.

Note: The performance of Web Server Lite is limited. In particular, it will not cope well with very complicated web pages or many concurrent users.

During the installation Web Server Lite creates the following directories and files:

C:\GD03_INET | The root directory for the web server.
C:\GD03_INET\index.html | The default file for the web server.
C:\GD03_INET\images | Directory used for images.
C:\GD03_INET\images\R&SLogo.jpg | An image used within index.html.

After Web Server Lite is started it will accept HTTP requests. To test this open the Internet Explorer on your PC and enter the following address:

      http://localhost

The default web site is a file called index.html; see above. The web server can be tested from a remote machine as well by replacing localhost with the name of your PC running Web Server Lite.


7 Troubleshooting

The following list helps you to solve problems that you may encounter during DATS installation or mobile connection.

Table 1 Possible problems and solutions

Symptoms | Solution
During installation
Installation of the operational software fails | Check your drive mapping and ensure that drives D:, L:, Q:, and T: are available for the DATS application
Error message “…RS_WanConnect.dll was not found…” during DATS installation | Install the operational software in a first step, then proceed to the DATS installation.
Data calls and GPRS
Error message: Generic failure connecting to LAN | This generally indicates that either the WAN adapter or the network connection has not been set up correctly; refer to section Software Installation.
Error message: Timeout connecting to LAN | This generally indicates that the LAN connection was not shut down correctly on the previous occasion that it was used. Simply trying again will usually solve the problem.
Error message: Authentication failure connecting to LAN or mobile reports: Invalid user | Problem with the user name or password. Ensure that the automatically generated rsuser is allowed to connect to the PPP Wan Adapter connection; see section PPP WAN Adapter Configuration.
Data connections
Mobile phone is unable to connect to local server (e.g. Web Server Lite) | The Web Server Lite must be launched from the start menu; see section Sample Session ff.
Mobile phone is unable to connect to remote server | Use a ping command to check whether the remote server is online; see section Starting a Test and Verifying the Connection.